Subject: Re: bug#43329: 28.0.50; Incorrect indentation for variables starting with `def' in let form

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Sep 2020 19:20:47 +0200

Stefan Monnier <[email-masked]> writes:

> Indeed (and I think we've been getting there bit by bit.  Not sure how
> far we stand from that nowadays).

João suggested over on bug#33301 to only make the heuristic happen for
macros, and I was sceptical, but:

> Indeed I don't know how to proceed.  There seem to be around 34. 
> Add indent specs for these 34 symbols? I suspect that some have exclusively
> one-line uses that don't need them.

So 34 in-tree functions that start with "def", but an unknown number of
macros.  That's not a lot, and I think we should add indent specs to all
of them, including the macros.

> Of course, that won't help with
>
>     (let ((defvar
>            3))
>       (+ defvar 5))
>
> and other oddball cases ;-)

Heh, no.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no